- [[总复习2023t1]] {{renderer :todomaster}}
  title:: 总复习2023t1
	- DONE [[Java]] {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-12 Mon>
	  :LOGBOOK:
	  CLOCK: [2023-06-09 Fri 15:09:23]--[2023-06-09 Fri 16:26:51] => 01:17:28
	  :END:
		- DONE lab
			- DONE 写 lab8
			  :LOGBOOK:
			  CLOCK: [2023-06-09 Fri 15:06:46]--[2023-06-09 Fri 16:26:50] => 01:20:04
			  :END:
			- DONE (考前)复习 labs
			  collapsed:: true
				- DONE [#A] 从 t14 复制过来
				- 1
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 2
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 3
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 4
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 5
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 6
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 7
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
		- DONE 课件
		  collapsed:: true
		  :LOGBOOK:
		  CLOCK: [2023-06-12 Mon 10:47:42]--[2023-06-12 Mon 14:12:02] =>  03:24:20
		  :END:
			- DONE 看 revision (java file IO 可以考前再看一遍)
			  collapsed:: true
			  :LOGBOOK:
			  CLOCK: [2023-06-12 Mon 11:40:14]--[2023-06-12 Mon 12:58:33] =>  01:18:19
			  :END:
				- DONE [#A] Review past exam papers
				- DONE java file IO
				  collapsed:: true
				  :LOGBOOK:
				  CLOCK: [2023-06-09 Fri 16:44:33]--[2023-06-09 Fri 17:13:37] => 00:29:04
				  :END:
					- DONE Buffered Reader / Writer
					- DONE File objects
				- DONE GUI (自学不考)
				  collapsed:: true
					- DONE Graphics Classes: Color, Font, FontMetrics, JLabel
				- StringBuffer vs. StringBuilder
					- String is immutable whereas StringBuffer and StringBuilder are mutable classes.
					- StringBuffer is thread-safe and synchronized whereas StringBuilder is not. That’s why StringBuilder is faster than StringBuffer.
					- String concatenation operator (+) internally uses StringBuffer or StringBuilder class.
					- For String manipulations in a non-multi threaded environment, we should use StringBuilder else use StringBuffer class.
		- DONE 题
			- DONE 看 qm 上错题 [gradeplus](https://qmplus.qmul.ac.uk/grade/report/user/index.php?id=21582)
			- DONE this 的用法
			  collapsed:: true
				- In Java, the `this` keyword is a reference to the current object within a non-static method or constructor. It represents the instance of the class on which the method or constructor is being called.
				- When a class is instantiated to create an object, that object has its own set of instance variables and methods. The `this` keyword allows you to refer to those instance variables and methods from within the class itself. It is primarily used to differentiate between instance variables and parameters or local variables that have the same name.
				- Here are a few common uses of the `this` keyword in Java:
				  collapsed:: true
					- Accessing instance variables: You can use `this` to access or modify the instance variables of the current object. For example, `this.variableName` refers to the instance variable `variableName` of the current object.
					- Invoking constructors: In a constructor, `this` can be used to invoke another constructor in the same class. It is useful for constructor chaining, where one constructor calls another constructor to initialize the object.
					- Passing the current object as a parameter: Sometimes, you may need to pass the current object as an argument to another method. In such cases, you can use `this` to pass a reference to the current object.
					- Returning the current object: A method can use `this` to return the current object. This is often used in method chaining, where multiple method calls are chained together on the same object.
				- It's important to note that `this` can only be used within non-static contexts, as it refers to the current instance of the class. Static methods and variables do not belong to any specific instance, so `this` cannot be used inside them.
				- Overall, the `this` keyword provides a way to refer to the current object and access its members, helping to avoid naming conflicts and make the code more readable.
			- DONE Past exam papers
			  :LOGBOOK:
			  CLOCK: [2023-06-11 Sun 21:37:16]--[2023-06-12 Mon 12:58:29] =>  15:21:13
			  CLOCK: [2023-06-12 Mon 14:12:05]--[2023-06-12 Mon 17:55:24] =>  03:43:19
			  :END:
				- DONE Access Modifiers
				- DONE Javadoc tags and modifiers [tutorial](https://www.tutorialspoint.com/java/java_documentation.htm)
					- Syntax:
						- ```java
						  // This is a single line comment
						  
						  /*
						   * This is a regular multi-line comment
						   */
						  
						  /**
						   * This is a Javadoc
						   */
						  ```
					- @throws ExceptionType reason
				- DONE Garbage collection
				  collapsed:: true
					- **The working:** Java garbage collection is an automatic process. Automatic garbage 
					  collection is the process of looking at heap memory, identifying which 
					  objects are in use and which are not, and deleting the unused objects. 
					  An in-use object, or a referenced object, means that some part of your 
					  program still maintains a pointer to that object. An unused or 
					  unreferenced object is no longer referenced by any part of your program.
					   So the memory used by an unreferenced object can be reclaimed. The 
					  programmer does not need to mark objects to be deleted explicitly. The 
					  garbage collection implementation lives in the JVM.
					- **Eligibility for garbage collection:** An object is said to be eligible for GC(garbage collection) if it is unreachable.
				- DONE ==THREE main concepts when doing GUI programming in Java==
					- **Component**: An object that the user can see on the screen and can also
					  interact with
					- **Container**: A component that can hold other components
					- **Event**: An action triggered by the user
					- Designing a GUI involves creating components, putting them into containers, and
					  arranging for the program to respond to events (e.g. responding to mouse clicks).
				- DONE ==Review Java File IO==
				- DONE Exception Terms
					- java.lang.ArrayIndexOutOfBoundsException:
					- IOException
					- ArithmeticException
					- NegativeArraySizeException
					- ArrayStoreException
				- LATER four fundamental OOP concepts. 
				  :LOGBOOK:
				  CLOCK: [2023-06-12 Mon 14:12:16]--[2023-06-12 Mon 14:12:18] =>  00:00:02
				  :END:
					- inheritance
						- Inheritance in Java is **a concept that acquires the properties from one class to other classes**
					- polymorphism
						-
					- encapsulation
						- Encapsulation in Java is a mechanism of **wrapping the data** (variables) and code acting on the data (methods) together as a single unit. In encapsulation, the variables of a class will be hidden from other classes, and can be accessed only through the methods of their current class. Therefore, it is also known as **data hiding**.
					- abstraction.
						- Data **abstraction** is the process **of hiding certain details** and showing only essential information to the user.
						- Abstraction can be achieved with either **abstract classes** or 
						  [**interfaces**](https://www.w3schools.com/java/java_interface.asp) (which you will learn more about in the next chapter).
				- Overloading vs. overriding
					- When two or more methods in the same class have the same method name but different parameters, this is called overloading. In contrast, overriding occurs when two methods have the same name and parameters
				- Interface
	- DONE 毛概 {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-13 Tue>
		- DONE 看笔记
		- DONE 做题
		  :LOGBOOK:
		  CLOCK: [2023-06-11 Sun 09:51:00]--[2023-06-11 Sun 09:51:01] => 00:00:01
		  :END:
		- DONE 整理错题 
		  deck:: 2023t1/Mao
			- 在1978年的关于真理标准问题的⼤讨论中，邓⼩平指出，关于真理标准问题的讨论实质就在于( {{c1 b}}  ). #flashcard
			  id:: 6486eb88-490a-45f2-b393-89192dd5ea52
			  A.是否坚持⻢列主义、⽑泽东思想
			  B.是否坚持实践是==检验真理==的唯⼀标准
			  C.是否坚持解放思想、实事求是
			  D.是否坚持中国共产党的领导
			- 创新包括各⽅⾯的创新，如理论创新、技术创新、制度创新等，其中在各项创新中处于先导地位的是 （ {{c1 b}}）#flashcard
			  extra:: 社会主义主打一个空想
			  id:: 6486eba2-9d71-4e27-a8f8-96947c0beda6
			  A．科技创新
			  B．理论创新
			  C．⽂化创新
			  D．⽣产关系创新
			- id:: 6486ebb8-4319-4e33-a901-221546ac6b28
			  4. 党的思想路线的实质和核⼼是（ {{c1 c}} ）#flashcard
			  A.⽣产关系适合⽣产⼒ B.理论联系实际
			  C.实事求是 D.在实践中检验真理和发展真理
			- extra:: 三个有利于：改革得失
			  id:: 6486ebbd-9c15-48d3-a273-aad64d4fadb2
			  5. 实事求是思想路线的根本体现是 （ {{c1 a}} ）#flashcard
			  A．尊重群众、尊重实践
			  B．⼀切从群众中来
			  C．解放思想
			  D．“三个有利于”
			- 4．中国共产党在新⺠主主义⾰命领导权问题上有着深刻认识，党认为实现对⾰命的领导权的根本
			  id:: 6486ebe6-ea17-4b3d-a855-1a992863e0e2
			  保证是（ {{c1 c}} ）。 #flashcard 
			  A.动员全⺠开展武装⽃争 B.建⽴最⼴泛的⼈⺠统⼀战线
			  C.加强中国共产党的建设 D.扩⼤⾰命的影响⼒和控制⼒
			- extra:: a: 抢国民党
			  id:: 6486ebf2-991b-43fa-9baf-c2e94eec3230
			  1. 建国初期我国社会主义国营经济建⽴的主要途径是（ {{c1 a}} ）#flashcard
			  A. 没收官僚资本 B. 没收帝国主义在华企业
			  C. 剥夺封建地主阶级的财产 D. 赎买⺠族资产阶级的财产
			- extra:: 学苏联
			  id:: 6486ebf5-ecb6-49f4-a22e-156de99c617c
			  2. 20世纪50年代，⽑泽东提出，中国⼯业化道路的问题主要是指 ( {{c1 c}} ) #flashcard 
			  A.优先发展重⼯业的问题
			  B.将落后的农业国建设成为先进的⼯业国的问题
			  C.重⼯业、轻⼯业和农业的发展关系问题
			  D.建⽴独⽴的⽐较完整的⼯业体系问题
			- extra:: b反右运动 c文革 d从来没有
			  id:: 6486ec08-5315-4ddc-ad39-f87b1acf36ec
			  3. 社会主义改造基本完成后，我国国家政治⽣活的主题是 ( {{c1 b}} ) #flashcard 
			  A.集中⼒量发展社会⽣产⼒
			  B.正确处理⼈⺠内部⽭盾
			  C.进⾏思想战线上的社会主义⾰命
			  D.加强社会主义⺠主与法制建设
			- extra:: 创新性方法：学苏联自由派
			  id:: 6486ec0b-b934-4f4a-b0ff-31c39c44e74d
			  4. 我国在资本主义⼯商业进⾏社会主义改造实践中⼀个创新性办法是对⺠族资产阶级( {{c1 a}} ) #flashcard 
			  A.和平赎买
			  B.剥夺⽣产资料 C.公私合营
			  D.⽣活上给出路
			- extra:: 十大关系指出要多快好省建设社会主义基本思想
			  id:: 6486ec0e-3678-4e3c-95cc-a1eae493c278
			  5. ⽑泽东在《论⼗⼤关系》中提出我国社会主义建设必须围绕的⼀个基本⽅针是 （ {{c1 c}} ） #flashcard 
			  A.发展⽣产⼒，把我国尽快地从落后的农业国变为先进的⼯业国
			  B.正确处理⽆产阶级同资产阶级的⽭盾
			  C.调动⼀切积极因素，为社会主义事业服务
			  D.彻底消灭剥削制度，继续肃清反⾰命残余势⼒
			- 1.社会主义的**根本**原则是（ {{c1 a}} ） #flashcard 
			  extra:: 根本原则
			  id:: 6486f101-7de3-4d01-81fa-f33ca1ce5395
			  A. 坚持以公有制为主体，实现共同富裕 B.扩⼤改⾰开放，增强综合国⼒
			  C.实⾏按劳分配，改善⼈⺠⽣活 D. 不断发展⽣产，增加社会财富
			- id:: 6486f11d-fd1f-4050-b693-1d9e61525db2
			  3. 新时期的解放思想，关键就是对建设中国特⾊社会主义的⾸要的基本理论问题的重新认识，这就
			  是( {{c1 d}} ) #flashcard 
			  A.什么是实事求是
			  B. 怎样建设党
			  C.什么是⻢克思主义
			  D. 什么是社会主义
			- 5.坚持四项基本原则的核⼼是 ( {{c1 c}} ) #flashcard 
			  id:: 6486f139-1b96-4fa2-801d-e6af909be90c
			  extra:: 共产党要独裁，别人都不行
			  A.坚持社会主义道路 B.坚持⼈⺠⺠主专政
			  C.坚持共产党的领导 D.坚持⻢列主义、⽑泽东思想
			- 3．社会主义初级阶段与新⺠主主义社会在经济基础⽅⾯的本质区别在于（ {{c1 a}} ）#flashcard
			  extra:: d: 不谈这些
			  id:: 6486f1db-f09d-45d5-982e-8a6d36c88ec0
			  A. 是否存在多种所有制经济
			  B. ⾮公有制经济是否成为社会主义经济的必要补充
			  C. 国有经济是否起主导作⽤
			  D. 公有制经济是否成为社会经济的主体
			- 2.正确处理改⾰、发展、稳定三者关系的重要结合点是（ {{c1 b}} ）#flashcard
			  id:: 6486f20e-62ee-4487-855d-9fbfe95e4d8f
			  A.把改⾰的⼒度、发展的速度和社会可以承受的程度统⼀结合起来
			  B.不断改善⼈⺠⽣活
			  C.在社会政治稳定中推进改⾰和发展
			  D.靠深化和继续发展解决改⾰和发展中产⽣的新问题和新⽭盾
			- 5.经过30多年的对外开放，我国形成了全⽅位、多层次、宽领域的对外开放格局。所谓全⽅位就是
			  指（  {c1 a}）#flashcard
			  extra:: 全方位：a; 多层次：合作框架, 宽领域：跨越政治
			  id:: 6486f242-b267-4c28-825a-62182abcfbfe
			  A.不论对资本主义国家还是社会主义国家，对发达国家还是发展中国家都实⾏开放政策
			  B. 根据各地区的实际和特点，通过经济特区、沿海开放城市、经济技术开发区等不同开放程度的
			  各种形式，形成全国范围的对外开放
			  C．⽴⾜我国国情，对国际商品市场、国际资本市场、国际技术市场和国际劳务市场的开放
			  D. 坚持“引进来”和“⾛出去”相结合
			- 1.我国现阶段公有制的主要实现形式是（ {{c1 a}} ）#flashcard
			  id:: 6486f2b8-2ef5-461f-a6da-6dcae1737aa8
			  extra:: b: 农村银行
			  A. 股份制
			  B.股份合作制 C.租赁、承包制
			  D.国家独资经济
			- id:: 6486fb7d-2914-45c7-99a3-81afc94e8c1a
			  3. 国有经济在国⺠经济中的主导作⽤主要表现在 ( {{c1 c}} ) #flashcard
			  A.国有资产在社会总资产中占有量的优势
			  B.国有经济能控制垄断性⾏业
			  C.国有经济对国⺠经济的==控制⼒==
			  D.国有经济在国⺠经济中占主体地位
			- extra:: 领导利益优先
			  id:: 6486fb9c-3ec3-4817-a455-38bfcc043e24
			  4. 在收⼊分配过程中，⽆论是⿎励⼀部分地区、⼀部分⼈先富起来，还是注重社会公平，其实质都
			  是( {{c1 b}} ) #flashcard 
			  extra:: 领导利益优先
			  id:: 6486fb9c-3ec3-4817-a455-38bfcc043e24
			  A．维护最⼴⼤⼈⺠的根本利益B.如何妥善协调各⽅⾯的利益关系问题
			  C.兼顾不同⽅⾯群众的利益D.效率优先、兼顾公平
			- 1.新⺠主主义⾰命初期，⽑泽东⽐较了中外资产阶级⾰命的性质后，提出中国⾰命胜利后，应该建⽴的国家政权形式是 ( {{c1 b}} ). #flashcard 
			  extra:: 共产党约等于革命民众
			  id:: 6486fbcf-fce9-47eb-9471-93bb3fdbca43
			  A. ⼈⺠⺠主专政的国家
			  B. 各⾰命⺠众合作统治的国家
			  C. ⺠主联合政府的国家
			  D. 以⼯农为主的⼯农⺠主政权
			- 2.中国共产党和各⺠主党派合作的政治基础是 ( {{c1 c}} ). #flashcard 
			  extra:: 四项基本原则不允许争议，指“社会主义”，“民主”，“共产党独裁”，“马列毛思想”不允许反对
			  id:: 6486fc44-9b33-4eb1-bbc0-fc00aa42ed6c
			  A. 中国共产党和各⺠主党派全作的政治基础是
			  B. 遵循“⻓期共存，互相监督，肝胆相照，荣辱与共”的⽅针
			  C. 坚持四项基本原则
			  D. 中国共产党是执政党，⺠主党派是参政党
			- 5.社会主义⺠主政治的**本质**是 ( {{c1 a}} ). #flashcard 
			  id:: 6486fcfb-2262-48e4-96dc-24b0ca4087e3
			  extra:: 红二代当家作主最重要
			  A. ⼈⺠当家作主
			  B. ⼈⺠⺠主专政
			  C. ⼈⺠代表⼤会制度
			  D. ⼈⺠参与国家管理
			- extra:: 共产党最爱吹的金句
			  id:: 6486fe1f-1d2e-46de-8616-a9bb174c3ade
			  4. 社会主义道德建设的核⼼是( {{c1 d}} ). #flashcard 
			  A. 爱国主义
			  B. 集体主义
			  C. 社会主义
			  D. 为⼈⺠服务
			- id:: 6486fe3b-fd24-4e3f-980d-d02c66e3fe18
			  5. 社会主义道德建设的核⼼是( {{c1 a}} ). #flashcard 
			  A. 为⼈⺠服务
			  B. 集体主义
			  C 诚实可信
			  D 爱国主义
			- id:: 64870181-4942-41c3-9f04-54ccd35a73ad
			  1. 社会主义和谐社会的核⼼价值是( {{c1 d}} ). #flashcard
			  A. 以⼈为本
			  B. 以⺠为本
			  C 社会公平
			  D 公平和正义
			- 2 我国社会保障制度的基本⽬标是( {{c1 a}} ). #flashcard 
			  extra:: 竟然是和其他所有国家一样
			  id:: 648701b2-ad29-4bd5-9160-bcf973aaeb51
			  A. 保证⼈们最基本的⽣活需要
			  B. 使劳动者⽣活⽔平不断提⾼
			  C. 保证劳动者充分就业
			  D. 实现共同富裕
			- extra:: 
			  id:: 648702a3-ce36-474c-8427-ba505b748de2
			  5. “⼗⼀五”规划根本⽬的是以⼈为本，执政为⺠，其含义( {{c1 c}} ). #flashcard
			  A. 不断推进⼈的全⾯发展
			  B. 不断推进共同富裕
			  C. 不断满⾜⼈⺠的物质⽂化⽣活需要
			  D. 不断创造共同富裕的物质基础
			- extra:: 因为是假想敌，所以想要统一
			  id:: 648702cb-b4d4-470c-b1c3-187aa64ba582
			  2. 台湾问题的核⼼是( {{c1 a}} ). #flashcard 
			  A. 祖国统⼀
			  B. ⼀国两制
			  C. ⼀国两政府
			  D. “三通”
			- id:: 6487034e-025b-4a2e-9bee-ba856180c7cd
			  1. 和平与发展是时代的主题，和平与发展的核⼼问题是( {{c1 a}} ). #flashcard 
			  A. 南北问题
			  B. .维护世界和平问题
			  C. 反对霸权主义、强权政治问题
			  D. 建⽴国际经济政治新秩序问题
			- id:: 648704bb-1b44-4b7a-9b56-4f8ee1e102f0
			  4. 中国外交政策的基本**⽬标**是( {{c1 b}} ). #flashcard 
			  A. 提⾼中国的国际地位
			  B. 维护世界和平，促进⼈类共同繁荣和发展
			  C. 反对霸权主义和强权政治
			  D. 实现全⼈类的解放
			- extra:: 是全球的南北
			  id:: 648704ff-5743-4233-9a16-3c196737e5aa
			  1. 和平与发展是时代的主题，**和平与发展**的核⼼问题是( {{c1 a}} ). #flashcard 
			  A. 南北问题
			  B. .维护世界和平问题
			  C. 反对霸权主义、强权政治问题
			  D. 建⽴国际经济政治新秩序问题
			- extra:: 美国=霸权主义，反对美国来维护世界和平
			  id:: 64870507-34f9-422d-b543-727494bcc448
			  3. 当前维护世界和平的根本途径是( {{c1 c}} ). #flashcard
			  A. 实⾏有效裁军和军控
			  B. 发挥联合国的维和作⽤
			  C. 反对霸权主义和强权政治
			  D. 加强国际⼲预
			- extra:: 民族资产阶级最后被收购了
			  id:: 64870715-f684-48d8-894c-ad2bddd5f912
			  1. 中国新⺠主主义⾰命时期的统⼀战线包含着两个联盟。其中基本的、主要的联盟是( {{c1 b}} ). #flashcard 
			  A. ⼯⼈阶级同城市⼩资产阶级的联盟
			  B. 以⼯农联盟为主体的⼯⼈阶级同农⺠、⼩资产阶级等其他劳动⼈⺠的联盟
			  C. 以⼯农联盟为主体的⼯⼈阶级同农⺠、⼩资产阶级和⺠族资产阶级的联盟
			  D. ⼯⼈阶级同可以合作的⾮劳动⼈⺠的联盟
			- extra:: 共产党你是会恶心人的
			  id:: 64870745-dadb-467b-a90c-33a99cb70f54
			  3. 我国新时期爱国统⼀战线从根本上说，是( {{c1 b}} ). #flashcard 
			  A. 爱国主义性质的
			  B. 政治联盟性质的
			  C. 社会主义性质的
			  D. ⼈⺠⺠主性质的
			- extra:: 硬背吧
			  id:: 648707a6-6088-409d-a3d1-5666d23c5af7
			  4. 新时期我国爱国主义的主题是( {{c1 a}} ). #flashcard 
			  A. 建设有中国特⾊社会主义
			  B. 实现国家统⼀
			  C. 加强⺠族团结
			  D. 增强⼈⺠凝聚⼒
			- extra:: 重点是体制
			  id:: 648707f5-4cc3-43f4-9709-34f99e05481e
			  1. ⼗六届四中全会指出，提⾼党的执政能⼒的核⼼是( {{c1 d}} ). #flashcard 
			  A. 加强党的领导
			  B. 改善党的领导体制
			  C. 建设⾼素质的⼲部队伍
			  D. 保持党和⼈⺠群众的⾎⾁关系
			- extra:: 共产党纯变态
			  id:: 648708c8-b45f-48b3-bb42-4dff84cbea23
			  3. 政党区别于其他政治团体的根本标志是( {{c1 a}} ). #flashcard
			  A. 政党是阶级⽃争发展到⼀定历史阶段的产物
			  B. 政党同国家政权紧密联系
			  C. 政党有⾃⼰的纲领
			  D. 政党有⾃⼰的奋⽃⽬标
			- id:: 6487090c-61e8-44ed-81a4-f3e07e1a8731
			  4. ⼀个政党在社会历史进程中是否起促进作⽤，取决于该党是否( {{c1 b}} ). #flashcard 
			  A. 取得执政地位
			  B. 代表先进⽣产⽅式
			  C. 维护⽆产阶级利益
			  D. 符合统治阶级的需要
	- LATER [[学交]] {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-13 Tue>
		- DONE 看格式要求 _Follow the ABC (Abstract Body Conclusion) Format for all Letters/Memos_
			- DONE Job application letter
				- Cover letter (application letter)
					- #+BEGIN_VERSE
					  [Your name]
					  [Your address]
					  [Your city, state and zip code]
					  
					      [Date]
					  
					      [Hiring manager's name]
					      [Hiring manager's title]
					      [Company name]
					      [Company address]
					      [Company city, state and zip code]
					  
					      Dear [Hiring manager's name],
					  
					      I'm writing to express my interest in the position of [job title] at [company]. [Explain how you heard about the job and name your contact if you were referred by someone within the company.] I believe my [skills and qualifications] make me an ideal fit for this job.
					  
					      [Use the second paragraph to elaborate on how you would help the company. Reference specific campaigns or projects when possible.]
					  
					      [Use the third paragraph to summarize your key qualifications. Elaborate on your most important accomplishments and include details that you were unable to provide in the more concise format of your resume.]
					  
					      [Use the fourth paragraph to briefly explain why you want to work for this company. Mention the additional documents included with your cover letter, and express your excitement about moving forward in the hiring process.]
					  
					      Sincerely,
					      [Your name]
					  
					  #+END_VERSE
			- DONE Academic
				- DONE research proposal
					- Format
						- #+BEGIN_VERSE
						  Your proposal should include the following:
						  
						  1.  TITLE
						  
						      Your title should give a clear indication of your proposed research approach or key question
						  
						  2.  BACKGROUND AND RATIONALE
						  
						  You should include:
						  
						      the background and issues of your proposed research
						      identify your discipline
						      a short literature review
						      a summary of key debates and developments in the field
						  
						  3.  RESEARCH QUESTION(S)
						  
						  You should formulate these clearly, giving an explanation as to what problems and issues are to be explored and why they are worth exploring 4. RESEARCH METHODOLOGY
						  
						  You should provide an outline of:
						  
						      the theoretical resources to be drawn on
						      the research approach (theoretical framework)
						      the research methods appropriate for the proposed research
						      a discussion of advantages as well as limits of particular approaches and methods
						  
						  5.  PLAN OF WORK & TIME SCHEDULE
						  
						  You should include an outline of the various stages and corresponding time lines for developing and implementing the research, including writing up your thesis.
						  
						  For full-time study your research should be completed within three years, with writing up completed in the fourth year of registration.
						  
						  For part-time study your research should be completed within six years, with writing up completed by the eighth year. 6. BIBLIOGRAPHY
						  
						  You should include:
						  
						      a list of references to key articles and texts discussed within your research proposal
						      a selection of sources appropriate to the proposed research
						  
						  #+END_VERSE
				- DONE academic paper
					- DONE abstract
						- Major Types of Abstract - Descriptive Abstracts
							- ● Short -uaually less than 120 words.
							- ● Includes:
								- ● purpose of the paper/work (objectives)
								- ● metho used
								- ● scope of the paper/work
								- ● introducing the subject.
							- ● Doesn’t include:
								- ● results, conclusions and recommendations
								- It aims to provide the reader with brief summaries (1-2 sentences) of each of the sections of the paper.
								- ● A descriptive abstract summarizes the main points of a document without
								  providing any analysis or interpretation, simply describing what the document
								  contains. It is typically very short and doesn't provide any information beyond
								  what you would find in the document's table of contents.
								- ● An outline of your work
						- •Major Types of Abstract - Informative Abstracts
							- ● Fairly short - from 250 words to a page or more.
							- ● Include:
								- ● purpose of the work/paper (research background /objectives)
								- ● method used
								- ● scope of the work
								- ● results / findings
								- ● conclusions and recommendations
								- ● contributions, novelty (optional)
						- It focuses on providing the results of the research and describing the
						  conclusion, contribution and vovelty that can be drawn from these
						  results.
					- DONE introduction
						- a clear sense of purpose,
						  thorough understanding of reader needs, and
						  close attention to correct formats.
						- Research paper introductions are always unique.
						  After all, research is original by definition. However, they often
						  contain six essential items. These are:
						- **An overview of the topic.**Start with a general overview of
						  your topic. Narrow the overview until you address your paper’s specific
						  subject. Then, mention questions or concerns you had about the case.
						  Note that you will address them in the publication.
						- **Prior research.**Your introduction is the place to review
						  other conclusions on your topic. Include both older scholars and modern
						  scholars. This background information shows that you are aware of prior
						  research. It also introduces past findings to those who might not have
						  that expertise.
						- **A rationale for your paper.**Explain why your topic needs to
						  be addressed right now. If applicable, connect it to current issues.
						  Additionally, you can show a problem with former theories or reveal a
						  gap in current research. No matter how you do it, a good rationale will
						  interest your readers and demonstrate why they must read the rest of
						  your paper.
						- **Describe the methodology you used.**Recount your processes to
						  make your paper more credible. Lay out your goal and the questions you
						  will address. Reveal how you conducted research and describe how you
						  measured results. Moreover, explain why you made key choices.
						- **A thesis statement.**Your main introduction should end with a
						  thesis statement. This statement summarizes the ideas that will run
						  through your entire research article. It should be straightforward and
						  clear.
						- **An outline.**Introductions often conclude with an outline.
						  Your layout should quickly review what you intend to cover in the
						  following sections. Think of it as a roadmap, guiding your reader to the
						  end of your paper.
						- These six items are emphasized more or less,
						  depending on your field. For example, a physics research paper might
						  emphasize methodology. An English journal article might highlight the
						  overview.
					- DONE conclusion
						- Presenting the last word on the issues you raised in your paper.
						- Summarizing your thoughts and conveying the larger implications of your study.
						- Demonstrating the importance of your ideas.
						- Introducing possible new or expanded ways of thinking about the research problem.
			- DONE Report
				- Informal
					- DONE letter report
						- Format
							- #+BEGIN_VERSE
							  This form is used in the case of brief and informal reports. Its main parts are:
							  
							      Heading;
							      Date;
							      Address;
							      Salutation;
							      Body;
							      Complimentary close;
							      Signature.
							  
							  The body of the letter can be divided into the following parts:
							  
							      Introduction: Here the writer states the problem.
							      Findings: Here the finding of the investigation are presented.
							      Recommendation: After the findings, recommendations are given in the last paragraph of the body.
							  
							  The sample is given below to give an idea about the structure of a report.
							  #+END_VERSE
						- Sample
							- ```text
							                             Opex Apparel Ltd.
							                         (A house for best Garments)
							                               Dhanmondi, Dhaka
							  
							  25th, May 2021
							  
							  Managing Director
							  Opex Apparel Ltd.
							  Dhanmondi, Dhaka.
							  
							  Ref: Negligence of duty by the staff in our Uttara Showroom.
							  
							  Dear Sir,
							  
							  In accordance with” your instructions, I personally visited our Uttara
							  showroom to look into its functioning. I made some investigation and
							   therefore submitting my report hereunder. <abstract, introduction>
							  
							  A number of worthy customers purchased some exclusive garments
							  but found some problems with fitting after purchase. They tried their
							  best to return the garments but failed because there was no
							  attendant to take the complaint and providing the change. As a
							  result, they made a phone call to our complaint department and filed
							  complaints regarding this issue. <findings>
							  
							  In our Uttara branch, there is only one attendant named Mr. Saker to
							  handle the after-sales service. He has been found to be irregular for
							  the last three (3) months. As a result, our customers are getting
							  dissatisfaction causing a decrease in our sales. In this age of
							  competition, losing customers means “Red Alert to the business.
							  
							  I have no hesitation to recommend that Mr. Saker may be served
							  with a notice and a really efficient and active man may be sent there
							  for proper functioning. <recommendation>
							  
							  I hope that quick action will be taken based on my recommendation
							  for the betterment of our company.<close>
							  
							  Yours faithfully
							  
							  M. A Khan Secretary
							  ```
					- DONE memo report
						- Format
							- Abstract
								- Clear statement of memo's purpose
								  Outline of main parts of memo
							- Body
								- Supporting points, with strong points at the beginning and/or end
								  Frequent use of short paragraphs or listed items
								  Absolute clarity about what memo has to do with reader
								  Tactful presentation of any negative news
							- Conclusion
								- Clear statement of what step should occur next
								  Another effort to retain goodwill and cooperation of readers
						- Sample:
							- ```text
							                               MEMORANDUM
							  
							  DATE:
							  
							  TO:
							  
							  FROM:
							  
							  SUBJECT:
							  
							  I'm writing to inform you that [statement, reason for writing memo].
							  
							  As our company continues to grow … [evidence or reason to support your opening
							  paragraph].
							  
							  Please let me know if you have any questions. In the meantime, I'd appreciate your
							  cooperation as [official business information] takes place.
							  ```
				- Formal
					- DONE Letter Text Combination Form
						- Types
							- proposal: A proposal report is a document that outlines a plan or suggestion for a
							  particular project, initiative, or course of action. It is typically
							  prepared by an individual or a team who wants to propose a specific
							  idea, action, or solution to a problem. The purpose of a proposal report
							  is to convince the intended audience that the proposed plan is viable,
							  beneficial, and worth pursuing.
							- feasibility: A feasibility report determines the outcome of a proposed solution by analyzing all relevant factors.
							- progress: A progress report is a document that provides an update on the status,
							  achievements, and ongoing activities of a project, task, or initiative.
							  It is typically prepared on a regular basis, such as weekly, monthly, or
							  quarterly, to inform stakeholders about the progress made toward
							  established goals and objectives.
							- evaluation: An evaluation report is a document that assesses and analyzes the
							  performance, effectiveness, or impact of a project, program, policy, or
							  initiative. It provides an in-depth examination and critique of the
							  subject being evaluated, based on specific criteria and objectives.
							- problem analysis: A problem analysis report is a document that examines and analyzes a specific problem or issue in depth. It aims to identify the root causes
							  of the problem, understand its impact, and propose potential solutions
							  or recommendations.
							- recommendation: Recommendation reports, also known as justification reports, propose a specific idea to the reader and provide evidence to support the
							  recommendation.
						- Template
							- ```text
							  Report on [topic of the report]
							  Submitted on [date of submission]
							  Summary or Abstract
							  [This summarizes the contents of the report, including your main findings and
							  overall conclusion.]
							  Introduction
							  [This provides insight into the purpose of the report.]
							  Background
							  [This section provides background information for the reader to understand the
							  context of the remaining content.]
							  Methodology
							  [This section explains to the reader what method you followed to gather your
							  findings and make your conclusions. For example, describe if you're using
							  qualitative or quantitative methods in your research.]
							  Findings
							  [Present your findings based on your research.]
							  Conclusions
							  The main issues we found were as follows:
							  [Outline the main issues to address based on your findings.]
							  Recommendations
							  To address these central issues, we recommend the following steps:
							  [Offer clear recommendations of actions based on your findings and conclusions
							  to help solve the problem.]
							  Appendix
							  [List any references used for your research, including articles, papers, or other
							  sources. You can also include any reference materials, such as surveys, tables,
							  charts, or diagrams referenced in your report.]
							  ```
		- LATER 写几篇试试手
	- LATER 数电 {{renderer :todomaster}}
	  SCHEDULED: <2023-06-14 Wed>
		- DONE 看 block4
		  collapsed:: true
			- SI bytes:
			  ![image.png](../assets/image_1686315189766_0.png)
		- LATER 做往年题
		- LATER Review slides
		  :LOGBOOK:
		  CLOCK: [2023-06-11 Sun 20:05:19]--[2023-06-11 Sun 21:37:27] =>  01:32:08
		  :END:
			- DONE Tutorial 1
			  collapsed:: true
			  :LOGBOOK:
			  CLOCK: [2023-06-11 Sun 20:06:12]--[2023-06-11 Sun 21:13:20] =>  01:07:08
			  :END:
				- DONE Base conversion
					- Integer
					- Digits
				- DONE LSB, MSB
				- DONE ==2's complement==
				  :LOGBOOK:
				  CLOCK: [2023-06-11 Sun 20:24:32]
				  CLOCK: [2023-06-11 Sun 20:24:34]--[2023-06-11 Sun 20:32:57] =>  00:08:23
				  :END:
					- convert to 2's complement (negative numbers)
						- Invert the bits of that representation
						  logseq.order-list-type:: number
						- add 1
						  logseq.order-list-type:: number
					- convert from 2's complement (negative numbers)
						- subtract 1
						  logseq.order-list-type:: number
						- invert the bits of that representation
						  logseq.order-list-type:: number
						- or:
						- invert bits
						  logseq.order-list-type:: number
						- add 1
						  logseq.order-list-type:: number
					- Subtraction with 2's complement
				- DONE Floating point formats
				  :LOGBOOK:
				  CLOCK: [2023-06-11 Sun 20:53:09]--[2023-06-11 Sun 21:09:13] =>  00:16:04
				  :END:
					- IEEE 754 FP
						- $$ Value = (-1)^s * 1.f * 2^{e-127} $$
						- s: sign
						- f: Mantissa
						- e: exponent
				- Parity
			- LATER Tutorial 2
			- LATER Tutorial 3
			- LATER Tutorial 4
	- LATER 数据库
	  SCHEDULED: <2023-06-15 Thu>
		- {{embed ((647bf024-fa40-4786-9770-e16da8b57f0f))}}
	- LATER [[产品开发]] {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-16 Fri>
		- DONE 整理考点
		  :LOGBOOK:
		  CLOCK: [2023-06-09 Fri 15:05:10]--[2023-06-09 Fri 15:05:11] => 00:00:01
		  :END:
		- LATER See past exam papers
		- LATER 整理 ppt
			- DONE Week 1
				- {{embed ((648581e7-cc5c-4514-9c2a-0b6af4adc5bb))}}
				- {{embed ((648594af-3833-4991-a4c2-2e9c8430a122))}}
				- [Topic 4: Product Planning](https://docs.google.com/document/d/17RTFywNdyxAnf7qcb4drrn_shtRjSRhO/edit)
				- {{embed ((64859157-dc41-453d-95ea-39e2280ea735))}}
			- DONE Week 2
				- {{embed ((6482bafb-b96b-44c3-834b-8b4966c1dc0c))}}
				- {{embed ((64857305-2925-485f-9aed-e15511b42149))}}
				- {{embed ((64857305-a186-4927-890d-607f66d97f95))}}
			- DONE Week 3
			- DONE Week4
	- LATER 概率论 (隔了一个周末)
	  collapsed:: true
	  SCHEDULED: <2023-06-19 Mon>
		- {{embed ((647bf024-41f1-45e7-afaf-f49026e826d6))}}
	- ![2023-06-09-13-21-19.jpeg](../assets/2023-06-09-13-21-19.jpeg)
-